//General ---------------------------------------------------------------------------------
datablock AudioProfile(DuelChargedSound)
{
   filename    = "./clickPlant.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshFastestSound)
{
   filename    = "./Woosh Fastest.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshFasterSound)
{
   filename    = "./Woosh Faster.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshFastSound)
{
   filename    = "./Woosh Fast.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshSound)
{
   filename    = "./Woosh.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshSlowSound)
{
   filename    = "./Woosh Slow.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(WooshSlowestSound)
{
   filename    = "./Woosh Slowest.wav";
   description = AudioClosest3d;
   preload = true;
};


//Swords ---------------------------------------------------------------------------------
datablock AudioProfile(SwordDrawSound)
{
   filename    = "./swordDraw.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SwordDrawFasterSound)
{
   filename    = "./swordDraw_Faster.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(SwordDrawSlowerSound)
{
   filename    = "./swordDraw_Slower.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BladeHit1Sound)
{
   filename    = "./Sword_Hit 1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BladeHit2Sound)
{
   filename    = "./Sword_Hit 2.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BladeHit3Sound)
{
   filename    = "./Sword_Hit 3.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BladeHitPlayerSound)
{
   filename    = "./Sword_Hit Player.wav";
   description = AudioClosest3d;
   preload = true;
};


//Fists ---------------------------------------------------------------------------------
datablock AudioProfile(FistsHitHard2Sound)
{
   filename    = "./Punch 1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(FistsHitHardSound)
{
   filename    = "./Punch 2.wav";
   description = AudioClosest3d;
   preload = true;
};


//Hammers/Maces ---------------------------------------------------------------------------------
datablock AudioProfile(HammerDrawSound)
{
   filename    = "./Hammer_Draw.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(ClubDrawSound)
{
   filename    = "./Club_Draw.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BluntMetalHit1Sound)
{
   filename    = "./Hammer_Hit 1.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BluntMetalHit2Sound)
{
   filename    = "./Hammer_Hit 2.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BluntMetalHit3Sound)
{
   filename    = "./Hammer_Hit 3.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(BluntMetalHitPlayerSound)
{
   filename    = "./Hammer_Hit Player.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(ClubHitSound)
{
   filename    = "./Club Hit.wav";
   description = AudioClosest3d;
   preload = true;
};



//Ranged ---------------------------------------------------------------------------------

datablock AudioProfile(ThrowingKnifeHitSound)
{
   filename    = "./Knife_Hit.wav";
   description = AudioClosest3d;
   preload = true;
};

datablock AudioProfile(ThrowingKnifeThrowSound)
{
   filename    = "./Knife_Throw.wav";
   description = AudioClosest3d;
   preload = true;
};


datablock ParticleData(BluntMetalExplosionDustParticle)
{
   dragCoefficient      = 10;
   gravityCoefficient   = -0.15;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 800;
   lifetimeVarianceMS   = 500;
   textureName          = "base/data/particles/cloud";

	spinSpeed		= 50.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

   colors[0]     = "1.0 1.0 1.0 0.25";
   colors[1]     = "0.0 0.0 0.0 0.0";
   sizes[0]      = 0.35;
   sizes[1]      = 0.5;

   useInvAlpha = true;
};

datablock ParticleEmitterData(BluntMetalExplosionDustEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 95;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = BluntMetalExplosionDustParticle;
};

datablock ParticleData(BluntMetalExplosionSparkParticle)
{
   dragCoefficient      = 0.5;
   gravityCoefficient   = 1.0;
   inheritedVelFactor   = 0.5;
   constantAcceleration = 0.0;
   lifetimeMS           = 400;
   lifetimeVarianceMS   = 250;
   textureName          = "base/data/particles/star1";

	spinSpeed		= 50.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

   colors[0]     = "1.0 1.0 0.0 1.0";
   colors[1]     = "1.0 1.0 0.0 0.0";
   sizes[0]      = 0.15;
   sizes[1]      = 0.15;

   useInvAlpha = false;
};

datablock ParticleEmitterData(BluntMetalExplosionSparkEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 6;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 95;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = BluntMetalExplosionSparkParticle;

   uiName = "Blunt Metal Dust";
   emitterNode = HalfEmitterNode;
};


datablock ExplosionData(BluntSmallMetalExplosion)
{
   //explosionShape = "";
	soundProfile = BluntMetalHit2Sound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionDustEmitter;
   particleDensity = 6;
   particleRadius = 0.2;

   emitter[0] = BluntMetalExplosionSparkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 3;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(BluntMediumMetalExplosion)
{
   //explosionShape = "";
	soundProfile = BluntMetalHit1Sound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionDustEmitter;
   particleDensity = 6;
   particleRadius = 0.2;

   emitter[0] = BluntMetalExplosionSparkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 3;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(BluntLargeMetalExplosion)
{
   //explosionShape = "";
	soundProfile = BluntMetalHit3Sound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionDustEmitter;
   particleDensity = 6;
   particleRadius = 0.2;

   emitter[0] = BluntMetalExplosionSparkEmitter;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 3;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(BluntMetalPlayerHitExplosion)
{
   //explosionShape = "";
	soundProfile = BluntMetalHitPlayerSound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionDustEmitter;
   particleDensity = 4;
   particleRadius = 0.2;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};



datablock ExplosionData(BladeSmallMetalExplosion)
{
   //explosionShape = "";
	soundProfile = BladeHit2Sound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionSparkEmitter;
   particleDensity = 4;
   particleRadius = 0.25;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 3;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(BladeMediumMetalExplosion)
{
   //explosionShape = "";
	soundProfile = BladeHit1Sound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionSparkEmitter;
   particleDensity = 5;
   particleRadius = 0.25;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 3;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(BladeLargeMetalExplosion)
{
   //explosionShape = "";
	soundProfile = BladeHit3Sound;

   lifeTimeMS = 150;

   particleEmitter = BluntMetalExplosionSparkEmitter;
   particleDensity = 6;
   particleRadius = 0.25;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 3;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ParticleData(BladeMetalPlayerHitExplosionParticle)
{
   dragCoefficient      = 2;
   gravityCoefficient   = 1.0;
   inheritedVelFactor   = 0.35;
   constantAcceleration = 0.0;
   spinRandomMin = -90;
   spinRandomMax = 90;
   lifetimeMS           = 300;
   lifetimeVarianceMS   = 250;
   textureName          = "base/data/particles/chunk";
   colors[0]     = "0.9 0.9 0.6 0.9";
   colors[1]     = "0.9 0.9 0.9 0.0";
   sizes[0]      = 0.35;
   sizes[1]      = 0.35;
};

datablock ParticleEmitterData(BladeMetalPlayerHitExplosionEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 6.5;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 95;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "BladeMetalPlayerHitExplosionParticle";
};

datablock ExplosionData(BladeMetalPlayerHitExplosion)
{
   //explosionShape = "";
	soundProfile = BladeHitPlayerSound;

   lifeTimeMS = 150;

   particleEmitter = BladeMetalPlayerHitExplosionEmitter;
   particleDensity = 4;
   particleRadius = 0.15;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};


datablock ParticleData(FistsExplosionParticle)
{
   dragCoefficient      = 10;
   gravityCoefficient   = -0.15;
   inheritedVelFactor   = 0.2;
   constantAcceleration = 0.0;
   lifetimeMS           = 800;
   lifetimeVarianceMS   = 500;
   textureName          = "base/data/particles/cloud";

	spinSpeed		= 50.0;
	spinRandomMin		= -500.0;
	spinRandomMax		= 500.0;

   colors[0]     = "1.0 1.0 1.0 0.25";
   colors[1]     = "0.0 0.0 0.0 0.0";
   sizes[0]      = 0.35;
   sizes[1]      = 0.5;

   useInvAlpha = true;
};

datablock ParticleEmitterData(FistsExplosionEmitter)
{
	lifeTimeMS = 50;

   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   velocityVariance = 1.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 95;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = FistsExplosionParticle;

   uiName = "Fist Hit";
   emitterNode = HalfEmitterNode;
};

datablock ExplosionData(FistsHardExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 350;

   soundProfile = FistsHitHardSound;

   particleEmitter = FistsExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.15;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(FistsHard2Explosion)
{
   //explosionShape = "";
   lifeTimeMS = 350;

   soundProfile = FistsHitHard2Sound;

   particleEmitter = FistsExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.15;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};

datablock ExplosionData(ClubExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 350;

   soundProfile = ClubHitSound;

   particleEmitter = FistsExplosionEmitter;
   particleDensity = 10;
   particleRadius = 0.15;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "20.0 22.0 20.0";
   camShakeAmp = "1.0 1.0 1.0";
   camShakeDuration = 0.35;
   camShakeRadius = 8.5;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 0.0;
   lightStartColor = "0.4 0.4 0.0 0.6";
   lightEndColor = "0 0 0";
};